Bug 243477 - UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 during installation in French
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 during installation ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 17:48 EDT by Guillaume Chazarain
Modified: 2008-05-15 00:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-15 00:16:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A bzip2 compressed dump of anaconda (27.23 KB, application/x-bzip2)
2007-06-08 17:48 EDT, Guillaume Chazarain
no flags Details

  None (edit)
Description Guillaume Chazarain 2007-06-08 17:48:03 EDT
An upgrade from fc6/x86_64 to fc7/x86_64 using a network install from a FTP
server accessing a DVD image, in French aborted while upgrading the first
package. Restarting the upgrade in English avoided the crash.

Traceback (most recent call first):
  File "/usr/lib/anaconda/yuminstall.py", line 164, in callback
    self.instLog.write(self.modeText % (nvra,))
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 562, in
runTransaction
    errors = self.ts.run(cb.callback, '')
  File "/usr/lib/anaconda/yuminstall.py", line 633, in _run
    self.runTransaction(cb=cb)
  File "/usr/lib/anaconda/yuminstall.py", line 608, in run
    self._run(instLog, cb, intf)
  File "/usr/lib/anaconda/yuminstall.py", line 1244, in doInstall
    self.ayum.run(self.instLog, cb, anaconda.intf, anaconda.id)
  File "/usr/lib/anaconda/backend.py", line 236, in doInstall
    anaconda.backend.doInstall(anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 203, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/text.py", line 605, in run
    anaconda.dispatch.gotoNext()
  File "/usr/bin/anaconda", line 955, in <module>
    anaconda.intf.run(anaconda)
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 5: ordinal
not in range(128)
Comment 1 Guillaume Chazarain 2007-06-08 17:48:03 EDT
Created attachment 156619 [details]
A bzip2 compressed dump of anaconda
Comment 2 Chris Lumens 2007-06-15 14:28:31 EDT
This should be fixed in the next build of anaconda.
Comment 3 Starchild 2008-05-13 18:55:03 EDT
I just tried to install fedora 9, Swedish. I got something similar,
unfortunately I haven't been able to save the output.

The problem occurs when it's checking the upgrade arch, f8 i386->f9 x86_64.
I suspect it's an unsupported jump, but I still don't think the anaconda
installer should try convert UTF-8 as ascii...

The final line is: UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in
position 17: ordinal
not in range(128)
Comment 4 Starchild 2008-05-13 18:59:40 EDT
Right, should mention, position 17 in my complete name in the system is 'ΓΆ'.
I'll try to change it temporarily to see how it goes. And probably open another
bug for f9, as I doubt anyone will read this:p
Comment 5 Bug Zapper 2008-05-14 08:57:02 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Chris Lumens 2008-05-15 00:16:39 EDT
We need to see the entire traceback to have a shot at fixing this, not just the
last line.  As this is almost certainly happening in a different place than the
original bug report, please open a new one.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.